## gnome-control-center 43.6

=== meson_options.txt ===
option('documentation', type: 'boolean', value: false, description: 'build documentation')
option('ibus', type: 'boolean', value: true, description: 'build with IBus support')
option('privileged_group', type: 'string', value: 'wheel', description: 'name of group that has elevated permissions')
option('snap', type: 'boolean', value: false, description: 'build with Snap support')
option('tests', type: 'boolean', value: true, description: 'build tests')
option('tracing', type: 'boolean', value: false, description: 'add extra debugging information')
option('wayland', type: 'boolean', value: true, description: 'build with Wayland support')
option('profile', type: 'combo', choices: ['default','development'], value: 'default')
option('malcontent', type: 'boolean', value: false, description: 'build with malcontent support')
option('distributor_logo', type: 'string', description: 'absolute path to distributor logo for the About panel')
option('dark_mode_distributor_logo', type: 'string', description: 'absolute path to distributor logo dark mode variant')

=== debian/changelog ===
gnome-control-center (1:43.6-2~deb12u1) bookworm; urgency=medium

  * Team upload
  * Rebuild for bookworm

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Jun 2023 11:35:10 +0100

gnome-control-center (1:43.6-2) unstable; urgency=medium

  * Team upload
  * Expand previous changelog entry to include more details of the
    upstream changes

 -- Simon McVittie <smcv@debian.org>  Tue, 13 Jun 2023 09:40:29 +0100

gnome-control-center (1:43.6-1) unstable; urgency=medium

  * New upstream bugfix release 43.5
    - Populate list of previous WWAN (Mobile Network) connetions more
      reliably, avoiding creation of duplicate connections in
      NetworkManager (gnome-control-center#1468 upstream)
    - Stop listing displays in the reverse of the intended order
    - Add 32:9 as a well-known aspect ratio
      (gnome-control-center#2334 upstream)
    - Fix an assertion failure when activating the Users panel
      (gnome-control-center#2219 upstream)
    - Don't access User objects before they are fully loaded
      (gnome-control-center#2348, #2349 upstream)
    - Fix an assertion failure when cropping an avatar
    - Don't allow commas in users' "real name" field, because the GECOS
      encoding in /etc/passwd cannot represent those
      (gnome-control-center#888 upstream)
    - Automatically close user avatar chooser before showing file
      chooser (gnome-control-center#2315 upstream)
    - Restore the default cursor when leaving the dialog to crop an
      avatar (gnome-control-center#2359 upstream)
    - Fix a crash when cancelling authentication for Thunderbolt
    - Remove a duplicate property from the "add user" UI
    - Translation updates: ca, fr, hu
  * New upstream bugfix release 43.6
    - Fix a use-after-free crash when editing network connections
    - Translation updates: ab, hu; add fo

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 May 2023 15:21:14 -0400

gnome-control-center (1:43.4.1-1) unstable; urgency=medium

  * New upstream release
  * Branch for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 11:08:53 -0500

gnome-control-center (1:43.2-2) unstable; urgency=medium

  * d/control.in: Add libspa-0.2-bluetooth as an alternative for
    pulseaudio-module-bluetooth

 -- Laurent Bigonville <bigon@debian.org>  Wed, 25 Jan 2023 13:01:34 +0100

gnome-control-center (1:43.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Dropped patches (applied upstream):
    - d/p/object-cache-Avoid-use-after-free-of-task-error.patch
    - d/p/network-fix-crashes-in-eap-method-simple.patch
  * d/p/keyboard-Allow-disabling-alternate-characters-key.patch
    (closes: #1027003)
  * Bump Standards-Version to 4.6.2

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Thu, 29 Dec 2022 17:13:57 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-control-center
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome (>= 0.22.2),
               libaccountsservice-dev (>= 0.6.39),
               desktop-file-utils,
               gnome-settings-daemon-dev (>= 41),
               gsettings-desktop-schemas-dev (>= 42~),
               gtk-doc-tools,
               libadwaita-1-dev (>= 1.2~alpha),
               libcolord-dev (>= 0.1.34),
               libcolord-gtk4-dev (>= 0.1.24),
               libcups2-dev,
               libgcr-3-dev [linux-any],
               libgdk-pixbuf-2.0-dev (>= 2.23.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.68.0),
               libgnome-desktop-4-dev,
               libgnome-bg-4-dev,
               libgnome-rr-4-dev,
               libgnome-bluetooth-ui-3.0-dev [linux-any],
               libibus-1.0-dev (>= 1.5.2),
               libgnutls28-dev,
               libgoa-1.0-dev (>= 3.45),
               libgoa-backend-1.0-dev (>= 3.45),
               libgsound-dev,
               libgtk-4-dev (>= 4.4),
               libgtop2-dev,
               libgudev-1.0-dev (>= 232) [linux-any],
               libhandy-1-dev (>= 1.2.0),
               libkrb5-dev,
               libnm-dev (>= 1.24.0) [linux-any],
               libnma-gtk4-dev (>= 1.8.0) [linux-any],
               libmalcontent-0-dev (>= 0.7.0) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
               libmm-glib-dev [linux-any],
               libpolkit-gobject-1-dev (>= 0.103),
               libpulse-dev (>= 13.0~),
               libpwquality-dev (>= 1.2.2),
               libsecret-1-dev,
               libsmbclient-dev (>= 2:3.6.12-1~),
               libsnapd-glib-dev (>= 1.63) [linux-any],
               libudisks2-dev,
               libupower-glib-dev (>= 0.99.8),
               libwacom-dev (>= 0.7) [linux-any],
               libxi-dev (>= 2:1.2),
               libx11-dev,
               libxft-dev (>= 2.1.2),
               libxklavier-dev (>= 5.1),
               libxml2-dev,
               libxml2-utils,
               locales,
               meson (>= 0.57.0),
               polkitd,
               shared-mime-info,
               tzdata <!nocheck>,
               xvfb,
               python3-dbusmock,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git -b debian/bookworm
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center/tree/debian/bookworm

Package: gnome-control-center
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         accountsservice,
         apg,
         colord (>= 0.1.34),
         desktop-base (>= 10.0.0),
         desktop-file-utils,
#         fwupd [linux-any],
         gnome-control-center-data (<< ${gnome:NextVersion}),
         gnome-control-center-data (>= ${source:Version}),
         gnome-desktop3-data,
         gnome-settings-daemon (>= 41),
         gsettings-desktop-schemas (>= 42~),
         webp-pixbuf-loader
Recommends: cups-pk-helper,
            gnome-bluetooth-sendto,
            gnome-online-accounts (>= 3.25.3),
            gnome-remote-desktop (>= 42),
            gnome-user-docs,
            gnome-user-share,
            gkbd-capplet,
            iso-codes,
            libcanberra-pulse,
            polkitd,
            power-profiles-daemon,
            rygel | rygel-tracker,
            system-config-printer-common (>= 1.4),
            malcontent-gui [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
            network-manager-gnome (>= 0.9.8),
            libnss-myhostname,
            cracklib-runtime,
            libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
            realmd
Suggests: gnome-software | gnome-packagekit,
          gstreamer1.0-pulseaudio,
          pkexec,
          x11-xserver-utils
Breaks: gnome-remote-desktop (<< 42),
        gnome-shell (<< 42)
Description: utilities to configure the GNOME desktop
 This package contains configuration applets for the GNOME desktop,
 allowing to set accessibility configuration, desktop fonts, keyboard
 and mouse properties, sound setup, desktop theme and background, user
 interface properties, screen resolution, and other GNOME parameters.
 .
 It also contains a front end to these applets, which can also be
 accessed with the GNOME panel or the Nautilus file manager.

Package: gnome-control-center-dev
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends},
         gnome-control-center-data
Description: utilities to configure the GNOME desktop
 This package contains the file required to get the keydirs location

Package: gnome-control-center-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: gnome-control-center (<< 1:3.7.92-2~)
Replaces: gnome-control-center (<< 1:3.7.92-2~)
Description: configuration applets for GNOME - data files
 This package contains data files (icons, pixmaps, locales files) needed by
 the configuration applets in the gnome-control-center package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\"
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

# Not in Ubuntu main yet https://launchpad.net/bugs/1892456
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
DISTRIBUTOR_LOGO := /usr/share/pixmaps/ubuntu-logo-text.png
DISTRIBUTOR_LOGO_DARK := /usr/share/pixmaps/ubuntu-logo-text-dark.png
MALCONTENT := -Dmalcontent=false
else
DISTRIBUTOR_LOGO := /usr/share/icons/vendor/scalable/emblems/emblem-vendor.svg
DISTRIBUTOR_LOGO_DARK := /usr/share/icons/vendor/scalable/emblems/emblem-vendor.svg
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
MALCONTENT := -Dmalcontent=true
else
MALCONTENT := -Dmalcontent=false
endif
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
SNAP := -Dsnap=true
else
SNAP := -Dsnap=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dprivileged_group=sudo \
		-Ddocumentation=true \
		-Ddistributor_logo=$(DISTRIBUTOR_LOGO) \
		-Ddark_mode_distributor_logo=$(DISTRIBUTOR_LOGO) \
		$(MALCONTENT) \
		$(SNAP)

# Ubuntu-specific
override_dh_translations:
	dh_translations --domain=gnome-control-center-2.0

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	43/@PACKAGE@-([\d.]+)@ARCHIVE_EXT@

## gnome-control-center 44~alpha

=== debian/changelog ===
gnome-control-center (1:44~alpha-0ubuntu1) lunar; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in: Bump minimum GTK4 to 4.8 and libnma-gtk4 to 1.10.2
  * Stop disabling the Device Security panel
  * Revert commit that hides Device Security panel when chassis_type is empty
  * Refresh patches
  * Update patches to drop deprecated gtk_widget_show/hide

  [ Gunnar Hjalmarsson ]
  * Make "Color" in "Appearance" view translatable (LP: #2000937)
  * Use a context aware gettext function in the Ubuntu panel (LP: #2000937)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 Jan 2023 11:48:57 -0500

gnome-control-center (1:43.2-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    + Add gnome-control-center-faces package to share with unity-control-center
    + Install apport hook
    + debian/control.in:
      - Build-Depend on libwhoopsie-preferences-dev
      - Depend on language-selector-gnome, system-config-printer &
        whoopsie-preferences
      - Don't depend on desktop-base
      - Recommend ibus
      - Suggest instead of recommend gnome-user-share & realmd
      - Don't recommend malcontent-gui or system-config-printer-common
      - Don't recommend or suggest pulseaudio (or even pipewire) stuff
      - Don't recommend libnss-myhostname since we use systemd-resolved
    + debian/gnome-control-center-data.install:
      - Don't install gnome-control-center.pkla since we use
        policykit-desktop-privileges instead
      - Install additional assets used by unity-control-center
    * debian/ubuntu-logo-icon.png, debian/source/include-binaries,
      debian/gnome-control-center-data.install: Include an Ubuntu logo
    * debian/gnome-control-center-data.links:
      - Link audio-speaker-center* to audio-speaker-mono* so that an
        icon is shown in the test speaker panel. (LP: #1704002)
    + debian/rules: Enable whoospie integration
    + Add patches:
      - keyboard-For-xkb-options-have-Layout-default-toggle-and-N.patch
      - keyboard-Avoid-modifying-xkb-options-when-user-changes-n.patch
      - u/keyboard-Add-launch-terminal-shortcut.patch
      - u/sound-Allow-volume-to-be-set-above-100.patch
      - u/Allow-tweaking-some-settings-for-Ubuntu-Dock.patch
      - u/background-Allow-configuring-the-ubuntu-accent-color.patch
      - u/multitasking-panel-Sync-workspace-and-monitor-isolation-d.patch
      - u/Modify-Mulitasking-assets-for-accent-colors.patch
      - u/lock-Add-Lock-Screen-on-Suspend-option.patch
      - u/region-Add-Language-Selector-button.patch
      - u/Adapts-the-region-capplet-and-the-language-chooser-in-the.patch
      - u/printers-Temporarily-add-an-additional-advanced-printer-b.patch
      - u/notifications-Handle-.desktop-files-that-got-renamed.patch
      - u/shell-Change-the-default-height-so-all-category-are-on-sc.patch
      - u/connectivity-add-network-connectivity-checking-toggle.patch
      - u/diagnostics-Add-Whoopsie-support.patch
      - u/online-accounts-Hide-window-after-adding-an-online-accoun.patch
      - u/display-Support-UI-scaled-logical-monitor-mode.patch
      - u/Disable-non-working-camera-microphones-panels.patch
      - u/info-overview-Show-updates-in-software-propeties-instead-.patch
      - u/sound-Add-a-button-to-select-the-default-theme.patch
      - u/applications-Launch-snap-store-if-it-is-installed.patch
      - u/display-Allow-fractional-scaling-to-be-enabled.patch
  * d/p/keyboard-For-xkb-options-have-Layout-default-toggle-and-N.patch:
    + Add nodefault_option after the main option, not before
      (LP: #2000423)
    + Get back the "Use layout default" switch_row title

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 29 Dec 2022 18:39:39 +0100

gnome-control-center (1:43.1-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    + Add gnome-control-center-faces package to share with unity-control-center
    + Install apport hook
    + debian/control.in:
      - Build-Depend on libwhoopsie-preferences-dev
      - Depend on language-selector-gnome, system-config-printer &
        whoopsie-preferences
      - Don't depend on desktop-base
      - Recommend ibus
      - Suggest instead of recommend gnome-user-share & realmd
      - Don't recommend malcontent-gui or system-config-printer-common
      - Don't recommend or suggest pulseaudio (or even pipewire) stuff
      - Don't recommend libnss-myhostname since we use systemd-resolved
    + debian/gnome-control-center-data.install:
      - Don't install gnome-control-center.pkla since we use
        policykit-desktop-privileges instead
      - Install additional assets used by unity-control-center
    * debian/ubuntu-logo-icon.png, debian/source/include-binaries,
      debian/gnome-control-center-data.install: Include an Ubuntu logo
    * debian/gnome-control-center-data.links:
      - Link audio-speaker-center* to audio-speaker-mono* so that an
        icon is shown in the test speaker panel. (LP: #1704002)
    + debian/rules: Enable whoospie integration
    + Add patches:
      - keyboard-Allow-disabling-alternate-characters-key.patch
      - keyboard-For-xkb-options-have-Layout-default-toggle-and-N.patch
      - keyboard-Avoid-modifying-xkb-options-when-user-changes-n.patch
      - u/keyboard-Add-launch-terminal-shortcut.patch
      - u/sound-Allow-volume-to-be-set-above-100.patch
      - u/Allow-tweaking-some-settings-for-Ubuntu-Dock.patch
      - u/background-Allow-configuring-the-ubuntu-accent-color.patch
      - u/multitasking-panel-Sync-workspace-and-monitor-isolation-d.patch
      - u/Modify-Mulitasking-assets-for-accent-colors.patch
      - u/lock-Add-Lock-Screen-on-Suspend-option.patch
      - u/region-Add-Language-Selector-button.patch
      - u/Adapts-the-region-capplet-and-the-language-chooser-in-the.patch
      - u/printers-Temporarily-add-an-additional-advanced-printer-b.patch
      - u/notifications-Handle-.desktop-files-that-got-renamed.patch


=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-control-center
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome (>= 0.22.2),
                libaccountsservice-dev (>= 0.6.39),
@@ -31,13 +32,13 @@
                libgoa-1.0-dev (>= 3.45),
                libgoa-backend-1.0-dev (>= 3.45),
                libgsound-dev,
-               libgtk-4-dev (>= 4.4),
+               libgtk-4-dev (>= 4.8),
                libgtop2-dev,
                libgudev-1.0-dev (>= 232) [linux-any],
                libhandy-1-dev (>= 1.2.0),
                libkrb5-dev,
                libnm-dev (>= 1.24.0) [linux-any],
-               libnma-gtk4-dev (>= 1.8.0) [linux-any],
+               libnma-gtk4-dev (>= 1.10.2) [linux-any],
                libmalcontent-0-dev (>= 0.7.0) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libmm-glib-dev [linux-any],
                libpolkit-gobject-1-dev (>= 0.103),
@@ -49,6 +50,7 @@
                libudisks2-dev,
                libupower-glib-dev (>= 0.99.8),
                libwacom-dev (>= 0.7) [linux-any],
+               libwhoopsie-preferences-dev,
                libxi-dev (>= 2:1.2),
                libx11-dev,
                libxft-dev (>= 2.1.2),
@@ -64,8 +66,10 @@
                python3-dbusmock,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git -b debian/bookworm
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center/tree/debian/bookworm
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center/tree/ubuntu/master
 
 Package: gnome-control-center
 Architecture: any
@@ -74,37 +78,37 @@
          accountsservice,
          apg,
          colord (>= 0.1.34),
-         desktop-base (>= 10.0.0),
          desktop-file-utils,
-#         fwupd [linux-any],
+         fwupd [linux-any],
          gnome-control-center-data (<< ${gnome:NextVersion}),
          gnome-control-center-data (>= ${source:Version}),
          gnome-desktop3-data,
          gnome-settings-daemon (>= 41),
          gsettings-desktop-schemas (>= 42~),
+         language-selector-gnome (>= 0.179~),
+         system-config-printer (>= 1.4),
+         whoopsie-preferences,
          webp-pixbuf-loader
 Recommends: cups-pk-helper,
             gnome-bluetooth-sendto,
             gnome-online-accounts (>= 3.25.3),
             gnome-remote-desktop (>= 42),
             gnome-user-docs,
-            gnome-user-share,
             gkbd-capplet,
+            ibus,
             iso-codes,
             libcanberra-pulse,
             polkitd,
             power-profiles-daemon,
             rygel | rygel-tracker,
-            system-config-printer-common (>= 1.4),
-            malcontent-gui [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
             network-manager-gnome (>= 0.9.8),
-            libnss-myhostname,
             cracklib-runtime,
-            libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
-            realmd
+            gnome-control-center-faces,
 Suggests: gnome-software | gnome-packagekit,
+          gnome-user-share,
           gstreamer1.0-pulseaudio,
           pkexec,
+          realmd,
           x11-xserver-utils
 Breaks: gnome-remote-desktop (<< 42),
         gnome-shell (<< 42)
@@ -116,6 +120,16 @@
  .
  It also contains a front end to these applets, which can also be
  accessed with the GNOME panel or the Nautilus file manager.
+
+Package: gnome-control-center-faces
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Conflicts: unity-control-center-faces
+Replaces: unity-control-center-faces
+Provides: unity-control-center-faces
+Description: utilities to configure the GNOME desktop - faces images
+ This package contains images that can be used for user profile's icon
 
 Package: gnome-control-center-dev
 Architecture: all

## gnome-control-center 44.0

=== debian/changelog ===
gnome-control-center (1:44.0-1ubuntu6.1) lunar-security; urgency=medium

  * SECURITY UPDATE: SSH remote access status not displayed correctly
    (LP: #2039577)
    - d/p/u/CVE-2023-5616.patch: Check the status of both the sshd service and
      socket since either could be in use. Also when enabling remote access,
      enable this via the socket rather than the service.
    - debian/rules: set SSHD_SOCKET=ssh.socket via CPPFLAGS in debian/rules.
    - CVE-2023-5616

 -- Alex Murray <alex.murray@canonical.com>  Mon, 11 Dec 2023 15:25:36 +1030

gnome-control-center (1:44.0-1ubuntu6) lunar; urgency=medium

  * Add patch to fix mirror mode crash when resolution of
    the 2 monitors don't match (LP: #2026228)

 -- Dirk Su <dirk.su@canonical.com>  Fri, 07 Jul 2023 09:15:28 +0800

gnome-control-center (1:44.0-1ubuntu5) lunar; urgency=medium

  * Cherry-pick a few fixes from upstream gnome-44 branch:
    - ad0cc232: keyboard:Fix cancel button issue
    - 03fcffdd: datetime: Fix NTP switch getting out of sync.
    - aa7a6b09: sharing: Fix network row visible name bug
    - 39afc8a3: display/night-light: Disconnect config manager changed
      handler (LP: #2006500)
    - 2956cd68: display/night-light: Don't leak config manager proxy

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 11 Apr 2023 16:43:49 -0400

gnome-control-center (1:44.0-1ubuntu4) lunar; urgency=medium

  [ Gunnar Hjalmarsson ]
  * Fix label of formats for the login screen (LP: #2012736)

  [ Jeremy Bicha ]
  * Depend on libgtk-4-media-gstreamer for Mouse & Touchpad art (LP: #2011849)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 29 Mar 2023 20:20:35 -0400

gnome-control-center (1:44.0-1ubuntu3) lunar; urgency=medium

  * debian/patches: Recolor widget animations instead of using many.
    Reduce gresources by just providing default yaru color for animations
    and while keeping the same colors recoloring them at runtime.
  * debian/patch: Prevent duplicate sound device entries
  * debian/patches: Do not crash when closing the color panel (LP: #2009913)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 23 Mar 2023 06:36:00 +0100

gnome-control-center (1:44.0-1ubuntu2) lunar; urgency=medium

  * Drop (again) update_region() call with NULL argument (LP: #2012552)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 22 Mar 2023 23:43:31 +0100

gnome-control-center (1:44.0-1ubuntu1) lunar; urgency=medium

  * Merge with debian, containing new upstream release
  * debian/patches: Refresh
  * debian/patches: Allow configuring all monitors at once (LP: #2012043)
  * debian/patches: Use yaru's inkstone color for animation's black
    (LP: #2011823)
  * debian/patches: Actually use accented animations for mouse panel
    (LP: #2011823)
  * debian/patches: Do not mark an initialized extension as enabled
    (LP: #2012034)
  * debian/patches: Remove unused variable in colors selector
  * ubuntu/patches: Do not show active widgets on disabled extension
  * debian/patches: Do not bind touchpad settings sensitivity
  * debian/changelog: Fix bug reference in previous upload
  * Remaining changes from debian:
    + Add gnome-control-center-faces package to share with unity-control-center
    + Install apport hook
    + debian/control.in:
      - Build-Depend on libwhoopsie-preferences-dev
      - Depend on language-selector-gnome, system-config-printer &
        whoopsie-preferences
      - Don't depend on desktop-base
      - Recommend ibus
      - Suggest instead of recommend gnome-user-share & realmd
      - Don't recommend malcontent-gui or system-config-printer-common
      - Don't recommend or suggest pulseaudio (or even pipewire) stuff
      - Don't recommend libnss-myhostname since we use systemd-resolved
    + debian/gnome-control-center-data.install:
      - Don't install gnome-control-center.pkla since we use
        policykit-desktop-privileges instead
      - Install additional assets used by unity-control-center
    * debian/ubuntu-logo-icon.png, debian/source/include-binaries,
      debian/gnome-control-center-data.install: Include an Ubuntu logo
    * debian/gnome-control-center-data.links:
      - Link audio-speaker-center* to audio-speaker-mono* so that an
        icon is shown in the test speaker panel. (LP: #1704002)
    + debian/rules: Enable whoospie integration
    + Add patches:
      - keyboard-For-xkb-options-have-Layout-default-toggle-and-N.patch
      - keyboard-Avoid-modifying-xkb-options-when-user-changes-n.patch
      - u/keyboard-Add-launch-terminal-shortcut.patch
      - u/sound-Allow-volume-to-be-set-above-100.patch
      - u/Allow-tweaking-some-settings-for-Ubuntu-Dock.patch
      - u/background-Allow-configuring-the-ubuntu-accent-color.patch
      - u/multitasking-panel-Sync-workspace-and-monitor-isolation-d.patch
      - u/multitasking-panel-Sync-workspace-isolation-setting-on-ti.patch
      - u/Modify-Mulitasking-assets-for-accent-colors.patch
      - u/lock-Add-Lock-Screen-on-Suspend-option.patch
      - u/region-Add-Language-Selector-button.patch
      - u/Adapts-the-region-capplet-and-the-language-chooser-in-the.patch
      - u/printers-Temporarily-add-an-additional-advanced-printer-b.patch
      - u/notifications-Handle-.desktop-files-that-got-renamed.patch
      - u/shell-Change-the-default-height-so-all-category-are-on-sc.patch
      - u/connectivity-add-network-connectivity-checking-toggle.patch
      - u/diagnostics-Add-Whoopsie-support.patch
      - u/online-accounts-Hide-window-after-adding-an-online-accoun.patch
      - u/display-Support-UI-scaled-logical-monitor-mode.patch
      - u/Disable-non-working-camera-microphones-panels.patch
      - u/info-overview-Show-updates-in-software-propeties-instead-.patch
      - u/sound-Add-a-button-to-select-the-default-theme.patch
      - u/applications-Launch-snap-store-if-it-is-installed.patch
      - u/display-Allow-fractional-scaling-to-be-enabled.patch
      - u/mouse-Add-animations-following-the-accent-colors.patch



=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome (>= 0.22.2),
                libaccountsservice-dev (>= 0.6.39),
@@ -22,7 +22,7 @@
                libgcr-3-dev [linux-any],
                libgdk-pixbuf-2.0-dev (>= 2.23.0),
                libgirepository1.0-dev,
-               libglib2.0-dev (>= 2.68.0),
+               libglib2.0-dev (>= 2.75.0),
                libgnome-desktop-4-dev,
                libgnome-bg-4-dev,
                libgnome-rr-4-dev,
@@ -32,7 +32,7 @@
                libgoa-1.0-dev (>= 3.45),
                libgoa-backend-1.0-dev (>= 3.45),
                libgsound-dev,
-               libgtk-4-dev (>= 4.8),
+               libgtk-4-dev (>= 4.9.3),
                libgtop2-dev,
                libgudev-1.0-dev (>= 232) [linux-any],
                libhandy-1-dev (>= 1.2.0),
@@ -52,7 +52,7 @@
                libwacom-dev (>= 0.7) [linux-any],
                libwhoopsie-preferences-dev,
                libxi-dev (>= 2:1.2),
-               libx11-dev,
+               libx11-dev (>= 2:1.8),
                libxft-dev (>= 2.1.2),
                libxklavier-dev (>= 5.1),
                libxml2-dev,
@@ -86,6 +86,7 @@
          gnome-settings-daemon (>= 41),
          gsettings-desktop-schemas (>= 42~),
          language-selector-gnome (>= 0.179~),
+         libgtk-4-media-gstreamer,
          system-config-printer (>= 1.4),
          whoopsie-preferences,
          webp-pixbuf-loader
@@ -104,6 +105,7 @@
             network-manager-gnome (>= 0.9.8),
             cracklib-runtime,
             gnome-control-center-faces,
+            libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
 Suggests: gnome-software | gnome-packagekit,
           gnome-user-share,
           gstreamer1.0-pulseaudio,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\"
+export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\" -DSSHD_SOCKET=\"ssh.socket\"
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 # Not in Ubuntu main yet https://launchpad.net/bugs/1892456
@@ -31,6 +31,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dprivileged_group=sudo \
+		-Dwhoopsie=true \
 		-Ddocumentation=true \
 		-Ddistributor_logo=$(DISTRIBUTOR_LOGO) \
 		-Ddark_mode_distributor_logo=$(DISTRIBUTOR_LOGO) \

## gnome-control-center 44.1

=== debian/changelog ===
gnome-control-center (1:44.1-1) experimental; urgency=medium

  * New upstream release
    - Fix Automatic Date & Time switch getting out of sync (LP: #2012994)

  [ Sebastien Bacher ]
  * debian/rules: reference to the right dark logo image (LP: #1995092)

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 24 Apr 2023 23:33:27 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-control-center
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome (>= 0.22.2),
                libaccountsservice-dev (>= 0.6.39),
@@ -50,7 +49,6 @@
                libudisks2-dev,
                libupower-glib-dev (>= 0.99.8),
                libwacom-dev (>= 0.7) [linux-any],
-               libwhoopsie-preferences-dev,
                libxi-dev (>= 2:1.2),
                libx11-dev (>= 2:1.8),
                libxft-dev (>= 2.1.2),
@@ -66,10 +64,8 @@
                python3-dbusmock,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-control-center.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-control-center
 
 Package: gnome-control-center
 Architecture: any
@@ -78,6 +74,7 @@
          accountsservice,
          apg,
          colord (>= 0.1.34),
+         desktop-base (>= 10.0.0),
          desktop-file-utils,
          fwupd [linux-any],
          gnome-control-center-data (<< ${gnome:NextVersion}),
@@ -85,32 +82,29 @@
          gnome-desktop3-data,
          gnome-settings-daemon (>= 41),
          gsettings-desktop-schemas (>= 42~),
-         language-selector-gnome (>= 0.179~),
-         libgtk-4-media-gstreamer,
-         system-config-printer (>= 1.4),
-         whoopsie-preferences,
          webp-pixbuf-loader
 Recommends: cups-pk-helper,
             gnome-bluetooth-sendto,
             gnome-online-accounts (>= 3.25.3),
             gnome-remote-desktop (>= 42),
             gnome-user-docs,
+            gnome-user-share,
             gkbd-capplet,
-            ibus,
             iso-codes,
             libcanberra-pulse,
             polkitd,
             power-profiles-daemon,
             rygel | rygel-tracker,
+            system-config-printer-common (>= 1.4),
+            malcontent-gui [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
             network-manager-gnome (>= 0.9.8),
+            libnss-myhostname,
             cracklib-runtime,
-            gnome-control-center-faces,
             libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
+            realmd
 Suggests: gnome-software | gnome-packagekit,
-          gnome-user-share,
           gstreamer1.0-pulseaudio,
           pkexec,
-          realmd,
           x11-xserver-utils
 Breaks: gnome-remote-desktop (<< 42),
         gnome-shell (<< 42)
@@ -122,16 +116,6 @@
  .
  It also contains a front end to these applets, which can also be
  accessed with the GNOME panel or the Nautilus file manager.
-
-Package: gnome-control-center-faces
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Conflicts: unity-control-center-faces
-Replaces: unity-control-center-faces
-Provides: unity-control-center-faces
-Description: utilities to configure the GNOME desktop - faces images
- This package contains images that can be used for user profile's icon
 
 Package: gnome-control-center-dev
 Architecture: all

## gnome-control-center 45~rc

=== debian/changelog ===
gnome-control-center (1:45~rc-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 28 Aug 2023 07:43:46 -0400

gnome-control-center (1:45~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum GTK4 and libadwaita
  * Drop snapd-glib-2 patch: applied in new release
  * Add patch to avoid using Tecla because it isn't ready yet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 15 Aug 2023 15:10:39 -0400

gnome-control-center (1:44.3-3) unstable; urgency=medium

  * d/control.in: Reduce fwupd from Depends to Recommends.
    It should be installed by default, but isn't strictly required, and not
    all systems have any devices with firmware supported by fwupd.
    (Closes: #1042781)
  * d/clean: Clean up tests/shared/__pycache__/ (Closes: #1045061)

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Aug 2023 14:30:43 +0100

gnome-control-center (1:44.3-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Jul 2023 14:16:03 +0300

gnome-control-center (1:44.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release 44.3

 -- Jarred Wilson <jarred.wilson@canonical.com>  Wed, 05 Jul 2023 17:14:06 -0400

gnome-control-center (1:44.2-2) experimental; urgency=medium

  [ Michael Biebl ]
  * Remove deprecated polkit pkla file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 21 Jun 2023 19:58:28 -0400

gnome-control-center (1:44.2-1) experimental; urgency=medium

  * New upstream release
    - Various small accessibility fixes.
      (e.g. https://gitlab.gnome.org/GNOME/gnome-control-center/-/issues/2457)
    - Fixes in Gtk template usage that causes crashes on some systems.
    - Appearance:
      + Clear dconf when resetting to defaults.
    - Mouse:
      + Hide entire "Touchpad" row when touchpad cannot be disabled
        (https://gitlab.gnome.org/GNOME/gnome-control-center/-/issues/1649)
    - Network:
      + Fix racy radio buttons in connection editor.
    - Users:
      + Remove autologin row tooltip when unlocked.
        (https://gitlab.gnome.org/GNOME/gnome-control-center/-/issues/2451)

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 29 May 2023 12:22:07 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome (>= 0.22.2),
                libaccountsservice-dev (>= 0.6.39),
@@ -14,7 +14,7 @@
                gnome-settings-daemon-dev (>= 41),
                gsettings-desktop-schemas-dev (>= 42~),
                gtk-doc-tools,
-               libadwaita-1-dev (>= 1.2~alpha),
+               libadwaita-1-dev (>= 1.4~beta),
                libcolord-dev (>= 0.1.34),
                libcolord-gtk4-dev (>= 0.1.24),
                libcups2-dev,
@@ -31,7 +31,7 @@
                libgoa-1.0-dev (>= 3.45),
                libgoa-backend-1.0-dev (>= 3.45),
                libgsound-dev,
-               libgtk-4-dev (>= 4.9.3),
+               libgtk-4-dev (>= 4.11.2),
                libgtop2-dev,
                libgudev-1.0-dev (>= 232) [linux-any],
                libhandy-1-dev (>= 1.2.0),
@@ -76,7 +76,6 @@
          colord (>= 0.1.34),
          desktop-base (>= 10.0.0),
          desktop-file-utils,
-         fwupd [linux-any],
          gnome-control-center-data (<< ${gnome:NextVersion}),
          gnome-control-center-data (>= ${source:Version}),
          gnome-desktop3-data,
@@ -84,6 +83,7 @@
          gsettings-desktop-schemas (>= 42~),
          webp-pixbuf-loader
 Recommends: cups-pk-helper,
+            fwupd [linux-any],
             gnome-bluetooth-sendto,
             gnome-online-accounts (>= 3.25.3),
             gnome-remote-desktop (>= 42),

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\" -DSSHD_SOCKET=\"ssh.socket\"
+export DEB_CPPFLAGS_MAINT_APPEND = -DSSHD_SERVICE=\"ssh.service\"
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 # Not in Ubuntu main yet https://launchpad.net/bugs/1892456
@@ -31,10 +31,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dprivileged_group=sudo \
-		-Dwhoopsie=true \
 		-Ddocumentation=true \
 		-Ddistributor_logo=$(DISTRIBUTOR_LOGO) \
-		-Ddark_mode_distributor_logo=$(DISTRIBUTOR_LOGO) \
+		-Ddark_mode_distributor_logo=$(DISTRIBUTOR_LOGO_DARK) \
 		$(MALCONTENT) \
 		$(SNAP)
